## xfsprogs-1.3.7.src.tar.gz

=== Makefile ===
#
# Copyright (c) 2000 Silicon Graphics, Inc.  All Rights Reserved.
# 
# This program is free software; you can redistribute it and/or modify it
# under the terms of version 2 of the GNU General Public License as
# published by the Free Software Foundation.
# 
# This program is distributed in the hope that it would be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
# 
# Further, this software is distributed without any warranty that it is
# free of the rightful claim of any third person regarding infringement
# or the like.  Any license provided herein, whether implied or
# otherwise, applies only to this software file.  Patent licenses, if
# any, provided herein do not apply to combinations of this program with
# other software, or any other product whatsoever.
# 
# You should have received a copy of the GNU General Public License along
# with this program; if not, write the Free Software Foundation, Inc., 59
# Temple Place - Suite 330, Boston MA 02111-1307, USA.
# 
# Contact information: Silicon Graphics, Inc., 1600 Amphitheatre Pkwy,
# Mountain View, CA  94043, or:
# 
# http://www.sgi.com 
# 
# For further information regarding this notice, see: 
# 
# http://oss.sgi.com/projects/GenInfo/SGIGPLNoticeExplan/
#

TOPDIR = .
HAVE_BUILDDEFS = $(shell test -f $(TOPDIR)/include/builddefs && echo yes || echo no)

ifeq ($(HAVE_BUILDDEFS), yes)
include $(TOPDIR)/include/builddefs
endif

CONFIGURE = configure include/builddefs include/platform_defs.h
LSRCFILES = configure configure.in Makepkgs install-sh README VERSION

LDIRT = config.log config.status config.cache confdefs.h conftest* \
	Logs/* built bfbuilt .census .bfcensus install.* install-dev.* *.gz

SUBDIRS = include libxfs libhandle libdisk \
	bmap db freeze fsck growfs logprint mkfile mkfs repair rtcp \
	man doc debian build

default: $(CONFIGURE)
ifeq ($(HAVE_BUILDDEFS), no)
	$(MAKE) -C . $@
else
	$(SUBDIRS_MAKERULE)
endif

ifeq ($(HAVE_BUILDDEFS), yes)
include $(BUILDRULES)
else
clean:	# if configure hasn't run, nothing to clean
endif

$(CONFIGURE):
	autoconf
	./configure
	touch .census

install: default
	$(SUBDIRS_MAKERULE)
	$(INSTALL) -m 755 -d $(PKG_DOC_DIR)
	$(INSTALL) -m 644 README $(PKG_DOC_DIR)

install-dev: default
	$(SUBDIRS_MAKERULE)

realclean distclean: clean
	rm -f $(LDIRT) $(CONFIGURE)
	[ ! -d Logs ] || rmdir Logs

=== bmap/Makefile ===
#
# Copyright (c) 2000 Silicon Graphics, Inc.  All Rights Reserved.
# 
# This program is free software; you can redistribute it and/or modify it
# under the terms of version 2 of the GNU General Public License as
# published by the Free Software Foundation.
# 
# This program is distributed in the hope that it would be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
# 
# Further, this software is distributed without any warranty that it is
# free of the rightful claim of any third person regarding infringement
# or the like.  Any license provided herein, whether implied or
# otherwise, applies only to this software file.  Patent licenses, if
# any, provided herein do not apply to combinations of this program with
# other software, or any other product whatsoever.
# 
# You should have received a copy of the GNU General Public License along
# with this program; if not, write the Free Software Foundation, Inc., 59
# Temple Place - Suite 330, Boston MA 02111-1307, USA.
# 
# Contact information: Silicon Graphics, Inc., 1600 Amphitheatre Pkwy,
# Mountain View, CA  94043, or:
# 
# http://www.sgi.com 
# 
# For further information regarding this notice, see: 
# 
# http://oss.sgi.com/projects/GenInfo/SGIGPLNoticeExplan/
#

TOPDIR = ..
include $(TOPDIR)/include/builddefs

LTCOMMAND = xfs_bmap
CFILES = xfs_bmap.c
LLDFLAGS += -static

default: $(LTCOMMAND)

include $(BUILDRULES)

install: default
	$(INSTALL) -m 755 -d $(PKG_BIN_DIR)
	$(LTINSTALL) -m 755 $(LTCOMMAND) $(PKG_BIN_DIR)
install-dev:

=== build/Makefile ===
#
# Copyright (c) 2000 Silicon Graphics, Inc.  All Rights Reserved.
# 
# This program is free software; you can redistribute it and/or modify it
# under the terms of version 2 of the GNU General Public License as
# published by the Free Software Foundation.
# 
# This program is distributed in the hope that it would be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
# 
# Further, this software is distributed without any warranty that it is
# free of the rightful claim of any third person regarding infringement
# or the like.  Any license provided herein, whether implied or
# otherwise, applies only to this software file.  Patent licenses, if
# any, provided herein do not apply to combinations of this program with
# other software, or any other product whatsoever.
# 
# You should have received a copy of the GNU General Public License along
# with this program; if not, write the Free Software Foundation, Inc., 59
# Temple Place - Suite 330, Boston MA 02111-1307, USA.
# 
# Contact information: Silicon Graphics, Inc., 1600 Amphitheatre Pkwy,
# Mountain View, CA  94043, or:
# 
# http://www.sgi.com 
# 
# For further information regarding this notice, see: 
# 
# http://oss.sgi.com/projects/GenInfo/SGIGPLNoticeExplan/
#

TOPDIR = ..
include $(TOPDIR)/include/builddefs

MANIFEST=src-manifest
SRCTAR=$(PKG_NAME)-$(PKG_VERSION).src.tar.gz

LDIRT = *-manifest *.gz $(TOPDIR)/$(PKG_NAME)-*

# for clean and clobber
SUBDIRS = tar rpm

# nothing to build here (it's all packaging)
default install install-dev :

include $(BUILDRULES)

# Symlink in the TOPDIR is used to pack files relative to
# product-version directory.
$(MANIFEST) : $(_FORCE)
	@if [ ! -L $(TOPDIR)/$(PKG_NAME)-$(PKG_VERSION) ] ; then \
	    $(LN_S) . $(TOPDIR)/$(PKG_NAME)-$(PKG_VERSION) ; \
	fi
	@CDIR=`pwd`; cd $(TOPDIR); \
	$(MAKE) --no-print-directory source | \
	    sed -e 's/^\./$(PKG_NAME)-$(PKG_VERSION)/' > $$CDIR/$@ ;\
	if [ $$? -ne 0 ] ; then  \
	    exit 1; \
	else \
	    unset TAPE; \
	    $(TAR) -T $$CDIR/$@ -cf - | $(ZIP) --best > $$CDIR/$(SRCTAR); \
	fi

dist : default $(MANIFEST)
	@DIST_MANIFEST=`pwd`/bin-manifest; DIST_ROOT=/tmp/$$$$; \
	export DIST_MANIFEST DIST_ROOT; \
	rm -f $$DIST_MANIFEST; \
	echo === install === && $(MAKE) -C $(TOPDIR) install || exit $$?; \
	if [ -x $(TAR) ]; then \
	    ( echo "=== tar ===" && $(MAKEF) -C tar $@ || exit $$? ); \
	fi; \
	if [ -x $(RPM) ]; then \
	    ( echo "=== rpm ===" && $(MAKEF) -C rpm $@ || exit $$? ); \
	fi; \
	test -z "$$KEEP_DIST_ROOT" || rm -rf $$DIST_ROOT; echo Done

=== db/Makefile ===
#
# Copyright (c) 2000 Silicon Graphics, Inc.  All Rights Reserved.
# 
# This program is free software; you can redistribute it and/or modify it
# under the terms of version 2 of the GNU General Public License as
# published by the Free Software Foundation.
# 
# This program is distributed in the hope that it would be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
# 
# Further, this software is distributed without any warranty that it is
# free of the rightful claim of any third person regarding infringement
# or the like.  Any license provided herein, whether implied or
# otherwise, applies only to this software file.  Patent licenses, if
# any, provided herein do not apply to combinations of this program with
# other software, or any other product whatsoever.
# 
# You should have received a copy of the GNU General Public License along
# with this program; if not, write the Free Software Foundation, Inc., 59
# Temple Place - Suite 330, Boston MA 02111-1307, USA.
# 
# Contact information: Silicon Graphics, Inc., 1600 Amphitheatre Pkwy,
# Mountain View, CA  94043, or:
# 
# http://www.sgi.com 
# 
# For further information regarding this notice, see: 
# 
# http://oss.sgi.com/projects/GenInfo/SGIGPLNoticeExplan/
#

TOPDIR = ..
include $(TOPDIR)/include/builddefs

LTCOMMAND = xfs_db

HFILES = addr.h agf.h agfl.h agi.h attr.h attrshort.h bit.h block.h bmap.h \
	bmapbt.h bmroot.h bnobt.h check.h cntbt.h command.h convert.h data.h \
	dbread.h debug.h dir.h dir2.h dir2sf.h dirshort.h dquot.h echo.h \
	faddr.h field.h flist.h fprint.h frag.h freesp.h hash.h help.h \
	init.h inobt.h inode.h input.h io.h malloc.h mount.h output.h \
	print.h quit.h sb.h uuid.h sig.h strvec.h type.h write.h
CFILES = $(HFILES:.h=.c) main.c
LSRCFILES = xfs_admin.sh xfs_check.sh xfs_ncheck.sh
LLDLIBS	= $(LIBXFS) $(LIBUUID)
LTDEPENDENCIES = $(LIBXFS)
LLDFLAGS += -static

default: $(LTCOMMAND)

include $(BUILDRULES)

install: default
	$(INSTALL) -m 755 -d $(PKG_BIN_DIR)
	$(LTINSTALL) -m 755 $(LTCOMMAND) $(PKG_BIN_DIR)
	$(INSTALL) -m 755 xfs_admin.sh $(PKG_BIN_DIR)/xfs_admin
	$(INSTALL) -m 755 xfs_check.sh $(PKG_BIN_DIR)/xfs_check
	$(INSTALL) -m 755 xfs_ncheck.sh $(PKG_BIN_DIR)/xfs_ncheck
install-dev:

=== debian/Makefile ===
#
# Copyright (c) 2000 Silicon Graphics, Inc.  All Rights Reserved.
# 
# This program is free software; you can redistribute it and/or modify it
# under the terms of version 2 of the GNU General Public License as
# published by the Free Software Foundation.
# 
# This program is distributed in the hope that it would be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
# 
# Further, this software is distributed without any warranty that it is
# free of the rightful claim of any third person regarding infringement
# or the like.  Any license provided herein, whether implied or
# otherwise, applies only to this software file.  Patent licenses, if
# any, provided herein do not apply to combinations of this program with
# other software, or any other product whatsoever.
# 
# You should have received a copy of the GNU General Public License along
# with this program; if not, write the Free Software Foundation, Inc., 59
# Temple Place - Suite 330, Boston MA 02111-1307, USA.
# 
# Contact information: Silicon Graphics, Inc., 1600 Amphitheatre Pkwy,
# Mountain View, CA  94043, or:
# 
# http://www.sgi.com 
# 
# For further information regarding this notice, see: 
# 
# http://oss.sgi.com/projects/GenInfo/SGIGPLNoticeExplan/
#

TOPDIR = ..
include $(TOPDIR)/include/builddefs

LSRCFILES = changelog control copyright rules
DEV_DOC_DIR = $(PKG_DOC_DIR)/../xfslibs-dev
BOOT_DOC_DIR = $(PKG_DOC_DIR)/../xfsprogs-bf
BOOT_MAN_DIR = $(PKG_MAN_DIR)/man8
BOOT_MKFS_BIN = $(TOPDIR)/mkfs/mkfs.xfs-xfsprogs-bf
BOOT_MKFS_MAN = $(TOPDIR)/man/man8/mkfs.xfs.8.gz

default:

include $(BUILDRULES)

install: default
ifeq ($(PKG_DISTRIBUTION), debian)
	$(INSTALL) -m 755 -d $(PKG_DOC_DIR)
	$(INSTALL) -m 644 changelog $(PKG_DOC_DIR)/changelog.Debian
endif

install-dev: default
ifeq ($(PKG_DISTRIBUTION), debian)
	$(INSTALL) -m 755 -d $(PKG_DOC_DIR)
	$(INSTALL) -m 755 -d $(DEV_DOC_DIR)
	$(INSTALL) -m 644 copyright $(DEV_DOC_DIR)
	$(INSTALL) -m 644 changelog $(DEV_DOC_DIR)/changelog.Debian
endif

install-boot: default
ifeq ($(PKG_DISTRIBUTION), debian)
	$(INSTALL) -m 755 -d $(PKG_DOC_DIR)
	$(INSTALL) -m 755 -d $(PKG_SBIN_DIR)
	$(INSTALL) -m 755 -d $(BOOT_DOC_DIR)
	$(INSTALL) -m 755 -d $(BOOT_MAN_DIR)
	$(INSTALL) -m 644 copyright $(BOOT_DOC_DIR)
	$(INSTALL) -m 644 changelog $(BOOT_DOC_DIR)/changelog.Debian
	$(INSTALL) -m 755 $(BOOT_MKFS_BIN) $(PKG_SBIN_DIR)/mkfs.xfs
	$(INSTALL) -m 644 $(BOOT_MKFS_MAN) $(BOOT_MAN_DIR)/mkfs.xfs.8.gz
endif

=== include/Makefile ===
#
# Copyright (c) 2000 Silicon Graphics, Inc.  All Rights Reserved.
# 
# This program is free software; you can redistribute it and/or modify it
# under the terms of version 2 of the GNU General Public License as
# published by the Free Software Foundation.
# 
# This program is distributed in the hope that it would be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
# 
# Further, this software is distributed without any warranty that it is
# free of the rightful claim of any third person regarding infringement
# or the like.  Any license provided herein, whether implied or
# otherwise, applies only to this software file.  Patent licenses, if
# any, provided herein do not apply to combinations of this program with
# other software, or any other product whatsoever.
# 
# You should have received a copy of the GNU General Public License along
# with this program; if not, write the Free Software Foundation, Inc., 59
# Temple Place - Suite 330, Boston MA 02111-1307, USA.
# 
# Contact information: Silicon Graphics, Inc., 1600 Amphitheatre Pkwy,
# Mountain View, CA  94043, or:
# 
# http://www.sgi.com 
# 
# For further information regarding this notice, see: 
# 
# http://oss.sgi.com/projects/GenInfo/SGIGPLNoticeExplan/
#

TOPDIR = ..
include $(TOPDIR)/include/builddefs

HFILES = arch.h handle.h jdm.h libxfs.h xqm.h \
	xfs_ag.h xfs_alloc.h xfs_alloc_btree.h xfs_arch.h xfs_attr_leaf.h \
	xfs_attr_sf.h xfs_bit.h xfs_bmap.h xfs_bmap_btree.h xfs_btree.h \
	xfs_buf_item.h xfs_cred.h xfs_da_btree.h xfs_dfrag.h xfs_dinode.h \
	xfs_dir.h xfs_dir2.h xfs_dir2_block.h xfs_dir2_data.h xfs_dir2_leaf.h \
	xfs_dir2_node.h xfs_dir2_sf.h xfs_dir_leaf.h xfs_dir_sf.h xfs_dqblk.h \
	xfs_dquot_item.h xfs_extfree_item.h xfs_fs.h xfs_ialloc.h \
	xfs_ialloc_btree.h xfs_imap.h xfs_inode.h xfs_inode_item.h xfs_inum.h \
	xfs_log.h xfs_log_priv.h xfs_log_recover.h xfs_mount.h xfs_quota.h \
	xfs_rtalloc.h xfs_sb.h xfs_trans.h xfs_trans_space.h xfs_types.h

DK_HFILES = mountinfo.h volume.h fstyp.h dvh.h
LSRCFILES = platform_defs.h.in builddefs.in buildrules $(DK_HFILES)

default install :

include $(BUILDRULES)

install-dev: default
	$(INSTALL) -m 755 -d $(PKG_INC_DIR)
	$(INSTALL) -m 644 $(HFILES) $(PKG_INC_DIR)
	$(INSTALL) -m 644 platform_defs.h $(PKG_INC_DIR)
	$(INSTALL) -m 755 -d $(DK_INC_DIR)
	$(INSTALL) -m 644 $(DK_HFILES) $(DK_INC_DIR)

=== libdisk/Makefile ===
#
# Copyright (c) 2000 Silicon Graphics, Inc.  All Rights Reserved.
# 
# This program is free software; you can redistribute it and/or modify it
# under the terms of version 2 of the GNU General Public License as
# published by the Free Software Foundation.
# 
# This program is distributed in the hope that it would be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
# 
# Further, this software is distributed without any warranty that it is
# free of the rightful claim of any third person regarding infringement
# or the like.  Any license provided herein, whether implied or
# otherwise, applies only to this software file.  Patent licenses, if
# any, provided herein do not apply to combinations of this program with
# other software, or any other product whatsoever.
# 
# You should have received a copy of the GNU General Public License along
# with this program; if not, write the Free Software Foundation, Inc., 59
# Temple Place - Suite 330, Boston MA 02111-1307, USA.
# 
# Contact information: Silicon Graphics, Inc., 1600 Amphitheatre Pkwy,
# Mountain View, CA  94043, or:
# 
# http://www.sgi.com 
# 
# For further information regarding this notice, see: 
# 
# http://oss.sgi.com/projects/GenInfo/SGIGPLNoticeExplan/
#

TOPDIR = ..
include $(TOPDIR)/include/builddefs

LTLIBRARY = libdisk.la
LT_CURRENT = 0
LT_REVISION = 0
LT_AGE = 0

LCFLAGS = $(USELVM)
CFILES = fstype.c pttype.c md.c xvm.c lvm.c drivers.c mountinfo.c
HFILES = fstype.h pttype.h md.h xvm.h lvm.h lvm_user.h liblvm.h

default: $(LTLIBRARY)

include $(BUILDRULES)

install: default

install-dev: default
	$(INSTALL_LTLIB_STATIC)

=== libhandle/Makefile ===
#
# Copyright (c) 2000 Silicon Graphics, Inc.  All Rights Reserved.
# 
# This program is free software; you can redistribute it and/or modify it
# under the terms of version 2 of the GNU General Public License as
# published by the Free Software Foundation.
# 
# This program is distributed in the hope that it would be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
# 
# Further, this software is distributed without any warranty that it is
# free of the rightful claim of any third person regarding infringement
# or the like.  Any license provided herein, whether implied or
# otherwise, applies only to this software file.  Patent licenses, if
# any, provided herein do not apply to combinations of this program with
# other software, or any other product whatsoever.
# 
# You should have received a copy of the GNU General Public License along
# with this program; if not, write the Free Software Foundation, Inc., 59
# Temple Place - Suite 330, Boston MA 02111-1307, USA.
# 
# Contact information: Silicon Graphics, Inc., 1600 Amphitheatre Pkwy,
# Mountain View, CA  94043, or:
# 
# http://www.sgi.com 
# 
# For further information regarding this notice, see: 
# 
# http://oss.sgi.com/projects/GenInfo/SGIGPLNoticeExplan/
#

TOPDIR = ..
include $(TOPDIR)/include/builddefs

LTLIBRARY = libhandle.la
LT_CURRENT = 0
LT_REVISION = 0
LT_AGE = 0

CFILES = handle.c jdm.c

default:  $(LTLIBRARY)

include $(BUILDRULES)

install: default
	$(INSTALL_LTLIB)

install-dev: default
	$(INSTALL_LTLIB_DEV)

=== logprint/Makefile ===
#
# Copyright (c) 2000 Silicon Graphics, Inc.  All Rights Reserved.
# 
# This program is free software; you can redistribute it and/or modify it
# under the terms of version 2 of the GNU General Public License as
# published by the Free Software Foundation.
# 
# This program is distributed in the hope that it would be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
# 
# Further, this software is distributed without any warranty that it is
# free of the rightful claim of any third person regarding infringement
# or the like.  Any license provided herein, whether implied or
# otherwise, applies only to this software file.  Patent licenses, if
# any, provided herein do not apply to combinations of this program with
# other software, or any other product whatsoever.
# 
# You should have received a copy of the GNU General Public License along
# with this program; if not, write the Free Software Foundation, Inc., 59
# Temple Place - Suite 330, Boston MA 02111-1307, USA.
# 
# Contact information: Silicon Graphics, Inc., 1600 Amphitheatre Pkwy,
# Mountain View, CA  94043, or:
# 
# http://www.sgi.com 
# 
# For further information regarding this notice, see: 
# 
# http://oss.sgi.com/projects/GenInfo/SGIGPLNoticeExplan/
#

TOPDIR = ..
include $(TOPDIR)/include/builddefs

LTCOMMAND = xfs_logprint

CFILES = log_print_trans.c log_print_all.c log_misc.c logprint.c \
	xfs_log_recover.c
HFILES = logprint.h
LLDLIBS	= $(LIBXFS) $(LIBUUID)
LTDEPENDENCIES = $(LIBXFS)
LLDFLAGS = -static

default: $(LTCOMMAND)

include $(BUILDRULES)

install: default
	$(INSTALL) -m 755 -d $(PKG_BIN_DIR)
	$(LTINSTALL) -m 755 $(LTCOMMAND) $(PKG_BIN_DIR)
install-dev:

=== mkfs/Makefile ===
#
# Copyright (c) 2000 Silicon Graphics, Inc.  All Rights Reserved.
# 
# This program is free software; you can redistribute it and/or modify it
# under the terms of version 2 of the GNU General Public License as
# published by the Free Software Foundation.
# 
# This program is distributed in the hope that it would be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
# 
# Further, this software is distributed without any warranty that it is
# free of the rightful claim of any third person regarding infringement
# or the like.  Any license provided herein, whether implied or
# otherwise, applies only to this software file.  Patent licenses, if
# any, provided herein do not apply to combinations of this program with
# other software, or any other product whatsoever.
# 
# You should have received a copy of the GNU General Public License along
# with this program; if not, write the Free Software Foundation, Inc., 59
# Temple Place - Suite 330, Boston MA 02111-1307, USA.
# 
# Contact information: Silicon Graphics, Inc., 1600 Amphitheatre Pkwy,
# Mountain View, CA  94043, or:
# 
# http://www.sgi.com 
# 
# For further information regarding this notice, see: 
# 
# http://oss.sgi.com/projects/GenInfo/SGIGPLNoticeExplan/
#

TOPDIR = ..
include $(TOPDIR)/include/builddefs

LTCOMMAND = mkfs.xfs
MAXTRRES = maxtrres
FSTYP = fstyp

HFILES = xfs_mkfs.h proto.h
CFILES = $(HFILES:.h=.c)

# Note: ordering for libdisk and liblvm is important - we must
# now present liblvm to ld twice :( -> libdisk works around the
# liblvm unresolved symbol problem, but also calls into liblvm.
LLDLIBS = $(LIBXFS) $(LIBUUID) $(LIBLVM) $(LIBDISK) $(LIBLVM)
LTDEPENDENCIES = $(LIBXFS) $(LIBDISK)
LLDFLAGS = -static

MAXTRLIBS = $(LIBXFS) $(LIBUUID)
LSRCFILES = $(MAXTRRES).c $(FSTYP).c
LDIRT = $(MAXTRRES) $(MAXTRRES).h $(FSTYP)

default: $(MAXTRRES).h $(FSTYP) $(LTCOMMAND)

include $(BUILDRULES)

$(MAXTRRES): $(MAXTRRES).o
	$(LTLINK) $@.c -o $@ $(CFLAGS) $(LDFLAGS) $(MAXTRLIBS)

$(MAXTRRES).h: $(MAXTRRES)
	$(LTEXEC) ./$(MAXTRRES) > $@ || ( rm -f $@ && exit 1 )

$(FSTYP):
	$(LTLINK) $@.c -o $@ $(CFLAGS) $(LDFLAGS) $(LIBDISK)

install: default
	$(INSTALL) -m 755 -d $(PKG_SBIN_DIR)
	$(LTINSTALL) -m 755 $(LTCOMMAND) $(PKG_SBIN_DIR)
install-dev:

=== repair/Makefile ===
#
# Copyright (c) 2000 Silicon Graphics, Inc.  All Rights Reserved.
# 
# This program is free software; you can redistribute it and/or modify it
# under the terms of version 2 of the GNU General Public License as
# published by the Free Software Foundation.
# 
# This program is distributed in the hope that it would be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
# 
# Further, this software is distributed without any warranty that it is
# free of the rightful claim of any third person regarding infringement
# or the like.  Any license provided herein, whether implied or
# otherwise, applies only to this software file.  Patent licenses, if
# any, provided herein do not apply to combinations of this program with
# other software, or any other product whatsoever.
# 
# You should have received a copy of the GNU General Public License along
# with this program; if not, write the Free Software Foundation, Inc., 59
# Temple Place - Suite 330, Boston MA 02111-1307, USA.
# 
# Contact information: Silicon Graphics, Inc., 1600 Amphitheatre Pkwy,
# Mountain View, CA  94043, or:
# 
# http://www.sgi.com 
# 
# For further information regarding this notice, see: 
# 
# http://oss.sgi.com/projects/GenInfo/SGIGPLNoticeExplan/
#

TOPDIR = ..
include $(TOPDIR)/include/builddefs

LTCOMMAND = xfs_repair

HFILES = agheader.h attr_repair.h avl.h avl64.h bmap.h dinode.h dir.h \
	dir2.h dir_stack.h err_protos.h globals.h incore.h protos.h rt.h \
	scan.h versions.h

CFILES = agheader.c attr_repair.c avl.c avl64.c bmap.c dino_chunks.c \
	dinode.c dir.c dir2.c dir_stack.c globals.c incore.c \
	incore_bmc.c init.c incore_ext.c incore_ino.c io.c phase1.c \
	phase2.c phase3.c phase4.c phase5.c phase6.c phase7.c rt.c sb.c \
	scan.c versions.c xfs_repair.c

LLDLIBS = $(LIBXFS) $(LIBUUID)
LTDEPENDENCIES = $(LIBXFS)
LLDFLAGS = -static

default: $(LTCOMMAND)

include $(BUILDRULES)

#
# Tracing flags:
# -DXR_BMAP_DBG		incore block bitmap debugging
# -DXR_INODE_TRACE	inode processing
# -DXR_BMAP_TRACE	bmap btree processing
# -DXR_DIR_TRACE	directory processing
# -DXR_DUP_TRACE	duplicate extent processing
# -DXR_BCNT_TRACE	incore bcnt freespace btree building
# -DXR_BLD_FREE_TRACE	building on-disk freespace (bcnt/bno) btrees
# -DXR_BLD_INO_TRACE	building on-disk inode allocation btrees
# -DXR_BLD_ADD_EXTENT	track phase 5 block extent creation
# -DXR_BCKPTR_DBG	parent list debugging info
#
CFLAGS += -DAVL_USER_MODE -DAVL_FUTURE_ENHANCEMENTS

install: default
	$(INSTALL) -m 755 -d $(PKG_SBIN_DIR)
	$(LTINSTALL) -m 755 $(LTCOMMAND) $(PKG_SBIN_DIR)
install-dev:

=== debian/changelog ===
xfsprogs (1.3.7-0) unstable; urgency=low

  * New upstream release
  * Change to libhandle licensing (was GPL, now LGPL-2.1)
  * Create a boot-floppies package with smaller mkfs.xfs (closes: #111426)

 -- Nathan Scott <nathans@debian.org>  Mon, 10 Sep 2001 10:52:04 +1000

xfsprogs (1.3.5-0) unstable; urgency=low

  * Upstream bugfix release; fixes listed below
  * Fix bug in xfs_db bit handling on big endian platforms
  * Fix mkfs.xfs bug related to too-small final allocation group
  * Fix signedness bug in DMAPI ioctl structure definition

 -- Nathan Scott <nathans@debian.org>  Mon, 13 Aug 2001 09:38:27 +1000

xfsprogs (1.3.4-0) unstable; urgency=low

  * Upstream bugfix release; fixes listed below
  * Fix endian bug in xfs_db "frag" command
  * Several man pages updated to document external log usage
  * IA64 build issues fixed (use -fno-strict-aliasing for libraries)
  * Fixed several minor compiler warnings when building on IA64
  * Added a Suggests entry for dvhtool (for those using SGI disks)
  * configure.in changes to allow cross compilation

 -- Nathan Scott <nathans@debian.org>  Sat,  4 Aug 2001 10:32:00 +1000

xfsprogs (1.3.3-0) unstable; urgency=low

  * New upstream release

 -- Nathan Scott <nathans@debian.org>  Fri, 27 Jul 2001 07:59:49 +1000

xfsprogs (1.3.2-0) unstable; urgency=low

  * New upstream release

 -- Nathan Scott <nathans@debian.org>  Mon, 23 Jul 2001 10:27:37 +1000

xfsprogs (1.3.1-0) unstable; urgency=low

  * Reworked package slightly so that its not Debian native
  * Debian-specific changes now documented in changelog.Debian.gz
  * New upstream release (see /usr/share/doc/xfsprogs/changelog.gz)
  * Checked standards compliance - update standards version to 3.5.5

 -- Nathan Scott <nathans@debian.org>  Sat, 15 Jul 2001 16:34:43 +1000

xfsprogs (1.3.0) unstable; urgency=low

  * Reworked Makefiles to use libtool
  * New libdisk to allow sharing of generic mount/disk code and
  * Also abstracts individual driver support (LVM, MD, XVM..)
  * Partition table detection so mkfs.xfs doesn't blindly overwrite
  * Small xfs_repair bug fix from Steve

 -- Nathan Scott <nathans@debian.org>  Thu, 19 Jul 2001 10:12:03 +1000

xfsprogs (1.2.8) unstable; urgency=low

  * Fixed a bug in libxfs /etc/mtab read-only mount detection
  * First try procfs, fall back to /etc/mtab, for read-only mounts
  * Sync with recent mount code changes for reiserfs and ext3 probes
  * Fix logprint build problem under gcc 3.0

 -- Nathan Scott <nathans@debian.org>  Mon,  2 Jul 2001 13:59:08 +1000

xfsprogs (1.2.7) unstable; urgency=low

  * New xfs_freeze(8) command - volume manager snapshot helper

 -- Nathan Scott <nathans@debian.org>  Tue, 22 May 2001 17:22:32 +1000

xfsprogs (1.2.6) unstable; urgency=low

  * Merge support for -d agsize=/su=/sw= (AG, stripe unit/width size)
  * Merge support for dynamic configuration of default log size
  * Document these updates, and fix a couple of man page typos too

 -- Nathan Scott <nathans@debian.org>  Tue, 15 May 2001 12:34:17 +1000

xfsprogs (1.2.5) unstable; urgency=low

  * Fix missing Makefile include entries for LVM headers
  * Add experimental xfs_rtcp (realtime copy) command
  * PowerPC build failure fixups - thanks to Robert Ramiega
  * Cleanup arch-specific code, esp. the byteswab routines
  * Suggests xfsdump and attr packages

 -- Nathan Scott <nathans@debian.org>  Tue,  8 May 2001 15:50:27 +1000

xfsprogs (1.2.4) unstable; urgency=low

  * Add -L option to mkfs.xfs (filesystem label)

 -- Nathan Scott <nathans@debian.org>  Tue,  1 May 2001 14:03:14 +1000

xfsprogs (1.2.3) unstable; urgency=low

  * Add dquot and quotaoff log item support into xfs_logprint
  * Fix logprint core dump reporting AGI in "continue"'d transactions

 -- Nathan Scott <nathans@debian.org>  Fri, 27 Apr 2001 10:17:25 +1000

xfsprogs (1.2.2) unstable; urgency=low

  * Fix problem in xfs_db (check) group quota logic
  * Fixes to warnings from recent gcc and/or 64-bit builds

 -- Nathan Scott <nathans@debian.org>  Fri, 13 Apr 2001 09:50:37 +1000

xfsprogs (1.2.1) unstable; urgency=low

  * Support for group quota added
  * Stripe unit/stripe width extraction for MD devices
  * Added mkfs.xfs heuristics for size of internal log
  * Sync up with recent changes to XFS kernel headers

 -- Nathan Scott <nathans@debian.org>  Wed,  4 Apr 2001 13:54:00 +1000

xfsprogs (1.1.6) unstable; urgency=low

  * Fix sparc build failure - fcntl.h missing O_DIRECT (closes: #90211)
  * Added README.quota describing the use of quota with XFS

 -- Nathan Scott <nathans@debian.org>  Tue, 20 Mar 2001 11:25:03 +1100

xfsprogs (1.1.5) unstable; urgency=low

  * Upgraded LVM stripe unit/width support to 0.9beta2 (IOP 10)
  * Kernel now supports O_DIRECT - re-enable its use in xfs_mkfile
  * BLKSETSIZE ioctl replaced by BLKBSZSET ioctl in libxfs
  * libxfs_init extended so only mkfs and xfs_repair use BLKBSZSET
  * NOTE: this requires an XFS kernel from 9 March '01 or later

 -- Nathan Scott <nathans@debian.org>  Sun, 18 Mar 2001 14:31:17 +1100

xfsprogs (1.1.3) unstable; urgency=low

  * Minor changes to xfs_logprint tail verification
  * Update build Makefile to pick up extra dirt before packaging

 -- Nathan Scott <nathans@debian.org>  Thu,  1 Mar 2001 12:24:28 +1100

xfsprogs (1.1.2) unstable; urgency=low

  * Fix stdarg.h issue causing build failure with glibc 2.2.2
  * Changes to libhandle for supporting extended attributes

 -- Nathan Scott <nathans@debian.org>  Tue, 20 Feb 2001 08:29:36 +1100

xfsprogs (1.1.0) unstable; urgency=low

  * Initial release (closes: #83829)

 -- Nathan Scott <nathans@debian.org>  Thu,  4 Jan 2001 11:15:11 -0500

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: xfsprogs
Section: admin
Priority: optional
Maintainer: Nathan Scott <nathans@debian.org>
Build-Depends: uuid-dev, autoconf, debmake, libtool
Standards-Version: 3.5.5

Package: xfsprogs
Depends: ${shlibs:Depends}
Suggests: xfsdump, attr, dvhtool
Architecture: any
Description: Utilities for managing the XFS filesystem
 A set of commands to use the XFS filesystem, including mkfs.xfs.
 .
 XFS is a high performance journaling filesystem which originated
 on the SGI IRIX platform.  It is completely multi-threaded, can
 support large files and large filesystems, extended attributes,
 variable block sizes, is extent based, and makes extensive use of
 Btrees (directories, extents, free space) to aid both performance
 and scalability.
 .
 Refer to the documentation at http://oss.sgi.com/projects/xfs/
 for complete details.  This implementation is on-disk compatible
 with the IRIX version of XFS.

Package: xfslibs-dev
Section: devel
Priority: extra
Depends: libc6-dev, xfsprogs
Architecture: any
Description: XFS filesystem-specific static libraries and headers.
 xfslibs-dev contains the libraries and header files needed to
 develop XFS filesystem-specific programs.
 
Package: xfsprogs-bf
Section: devel
Priority: extra
Depends: ${shlibs:Depends}
Conflicts: e2fsprogs, xfsprogs
Architecture: any
Description: A stripped-down versions of xfsprogs, for boot-floppies
 This package is an xfsprogs package built for a reduced size, so that
 it can help to save space on installation boot-floppies.
 .
 Don't attempt to install this package, it has no support for a couple of
 features you surely want.  Anyway it should refuse to install.

=== debian/rules ===
#!/usr/bin/make -f

package = xfsprogs
develop = xfslibs-dev
bootpkg = xfsprogs-bf

dirtmp = debian/tmp
dirdev = debian/$(develop)
dirbfs = debian/$(bootpkg)
pkgtmp = DIST_ROOT=`pwd`/$(dirtmp); export DIST_ROOT;
pkgdev = DIST_ROOT=`pwd`/$(dirdev); export DIST_ROOT;
pkgbfs = DIST_ROOT=`pwd`/$(dirbfs); export DIST_ROOT;
stdenv = @GZIP=-q; export GZIP;

options = DEBUG=-DNDEBUG; DISTRIBUTION=debian; export DEBUG DISTRIBUTION;
bfsopts = $(options) OPTIMIZER=-Os; export OPTIMIZER;
checkdir = test -f debian/rules

build: bfbuilt built
built: config
	@echo "== dpkg-buildpackage: build" 1>&2
	$(MAKE) default
	touch built

config: .census
.census:
	@echo "== dpkg-buildpackage: configure" 1>&2
	$(checkdir)
	autoconf
	$(options) ./configure
	touch .census

bfbuilt: bfconfig
	@echo "== dpkg-buildpackage: bootfloppies build" 1>&2
	for dir in libxfs libdisk mkfs; \
	do \
		$(MAKE) -C $$dir; \
	done
	mv mkfs/mkfs.xfs mkfs/mkfs.xfs-$(bootpkg)
	$(MAKE) distclean
	touch bfbuilt

bfconfig: .bfcensus
.bfcensus:
	@echo "== dpkg-buildpackage: bootfloppies configure" 1>&2
	$(checkdir)
	autoconf
	$(bfsopts) ./configure --enable-shared-uuid=yes
	touch .bfcensus

clean:
	@echo "== dpkg-buildpackage: clean" 1>&2
	$(checkdir)
	-rm -f bfbuilt built .bfcensus .census mkfs/mkfs.xfs-$(bootpkg)
	$(MAKE) distclean
	-rm -rf $(dirtmp) $(dirdev) $(dirbfs) debian/*substvars debian/files*

binary-indep:

# Note1: dev pkg with .so symlinks to base pkg confuses debstd;
# so the .so 'Dangling symlink' message is benign.
# Note2: absolute symlinks (required by policy) confuse debstd;
# so we'll filter out symlink messages entirely now.
# 
binary-arch: checkroot built
	@echo "== dpkg-buildpackage: binary-arch" 1>&2
	$(checkdir)
	-rm -rf $(dirtmp) $(dirdev) $(dirbfs)
	$(pkgtmp) $(MAKE) -C . install
	$(pkgdev) $(MAKE) -C . install-dev
	$(pkgbfs) $(MAKE) -C debian install-boot
	$(pkgtmp) $(MAKE) -C build src-manifest
	@echo "== dpkg-buildpackage: debstd" 1>&2
	$(stdenv) debstd -m | grep -v 'Dangling symlink'
	dpkg-gencontrol -isp -p$(package) -P$(dirtmp)
	dpkg-gencontrol -isp -p$(develop) -P$(dirdev)
	dpkg-gencontrol -isp -p$(bootpkg) -P$(dirbfs)
	chown -R root.root $(dirtmp) $(dirdev) $(dirbfs)
	chmod -R go=rX $(dirtmp) $(dirdev) $(dirbfs)
	dpkg --build $(dirtmp) .. 
	dpkg --build $(dirdev) ..
	dpkg --build $(dirbfs) ..

binary: binary-indep binary-arch

checkroot:
	test 0 -eq `id -u`

.PHONY: binary binary-arch binary-indep clean checkroot
